org.apache.solr.common.cloud

## Class HashPartitioner.Range

- java.lang.Object
- - org.apache.solr.common.cloud.HashPartitioner.Range

All Implemented Interfaces:
  JSONWriter.Writable

Enclosing class:
  HashPartitioner

    public static class HashPartitioner.Range
    extends Object
    implements JSONWriter.Writable

### Field Summary

Fields
`int` `max`
`int` `min`

### Constructor Summary

Constructors
Constructor and Description
`HashPartitioner.Range(int min, int max)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`boolean` `includes(int hash)`
`String` `toString()`
`void` `write(JSONWriter writer)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### min

    public int min

#### max

    public int max

### Constructor Detail

#### HashPartitioner.Range

    public HashPartitioner.Range(int min,
                         int max)

### Method Detail

#### includes

    public boolean includes(int hash)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### write

    public void write(JSONWriter writer)

Specified by:
  `write` in interface `JSONWriter.Writable`